List Visits

Retrieves a list of visits. At least one query parameter must be provided.

Request

GET/clinical/v1/visit

Path Parameters


No parameters

Query Parameters


memberidstring :optional

The unique id of a member.


provideridstring :optional

The unique id of a provider.


visittypestring :optional

The unique type identifier specifying the type of visit. See the Visit Type Dictionary for possible values.


createdenddatetimestamp :optional

A UTC timestamp representing the latest creation date to filter by. You must also include a createdstartdate.


createdstartdatetimestamp :optional

A UTC timestamp representing the earliest creation date to filter by. You must also include a createdenddate.


countnumeric :optional

The maximum number of results to return. Default value is 50.


includeoutcomeboolean :optional

Specifies if the clinical outcome should be included in the result set. Use true to indicate the outcome should be included in the response. Default value is false.


Example


curl -XGET 'https://platform.wellviasolutions.com/clinical/v1/visit' \
    -u 'Bearer:{your_token}'
GET https://platform.wellviasolutions.com/clinical/v1/visit?memberid=mbr_1234567 HTTP/1.1
using WellViaSDK.Visit;

const string apiSubscriptionKey = "your_api_subscription_key";
var _vstClient = new WellViaVisitServiceClient(subscriptionKey: apiSubscriptionKey);

string memberId = `{memberId}`;
var visits = await _vstClient.GetVisistAsync(memberId: memberId, includeOutcome: false);

Response

A list of Visit Objects if valid parameters were provided.